//: Playground - noun: a place where people can play

import UIKit

var str = "Hello, playground"


func testAvailability1() {
    if #available(iOS 9.0, OSX 10.10, watchOS 2, iOSApplicationExtension 2, *) {
        // Kod zgodny z systemami iOS 9, OSX 10.10, watchOS 2 lub nowszymi.
        print("Wymagania minimalne zostały spełnione.")
    } else {
        //  Wykluczenie wszelkich systemów niespełniających minimalnych wymagań.
        print("Wymagania minimalne nie zostały spełnione.")
    }
}



@available(iOS 9.0, *)
func testAvailability2() {
    // Ta funkcja jest dostępna jedynie w systemie iOS 9 lub nowszym.
}

@available(iOS 9.0, *)
struct testStruct {

}


testAvailability1()
